function __global_object_depths() {
	// Initialise the global array that allows the lookup of the depth of a given object
	// GM2.0 does not have a depth on objects so on import from 1.x a global array is created
	// NOTE: MacroExpansion is used to insert the array initialisation at import time
	gml_pragma( "global", "__global_object_depths()");

	// insert the generated arrays here
	global.__objectDepths[0] = -10; // obj_player
	global.__objectDepths[1] = -6; // obj_island
	global.__objectDepths[2] = -7; // obj_generator
	global.__objectDepths[3] = 10000; // obj_3Dstuff
	global.__objectDepths[4] = 0; // obj_stagemanager
	global.__objectDepths[5] = -5; // obj_scroller
	global.__objectDepths[6] = -900; // obj_talker
	global.__objectDepths[7] = -9; // obj_boss
	global.__objectDepths[8] = -10000; // obj_HUD
	global.__objectDepths[9] = -10; // obj_shot
	global.__objectDepths[10] = 0; // obj_enemybase
	global.__objectDepths[11] = -800; // obj_bomber
	global.__objectDepths[12] = 0; // obj_enemybullet_L
	global.__objectDepths[13] = 0; // obj_enemybullet_D
	global.__objectDepths[14] = -15; // obj_enemybullet_L_A
	global.__objectDepths[15] = 0; // obj_menu
	global.__objectDepths[16] = 0; // obj_credits
	global.__objectDepths[17] = 0; // obj_tutorial
	global.__objectDepths[18] = -15; // obj_enemybullet_D_A
	global.__objectDepths[19] = -15; // obj_enemybullet_B
	global.__objectDepths[20] = -15; // obj_enemybullet_D_B


	global.__objectNames[0] = "obj_player";
	global.__objectNames[1] = "obj_island";
	global.__objectNames[2] = "obj_generator";
	global.__objectNames[3] = "obj_3Dstuff";
	global.__objectNames[4] = "obj_stagemanager";
	global.__objectNames[5] = "obj_scroller";
	global.__objectNames[6] = "obj_talker";
	global.__objectNames[7] = "obj_boss";
	global.__objectNames[8] = "obj_HUD";
	global.__objectNames[9] = "obj_shot";
	global.__objectNames[10] = "obj_enemybase";
	global.__objectNames[11] = "obj_bomber";
	global.__objectNames[12] = "obj_enemybullet_L";
	global.__objectNames[13] = "obj_enemybullet_D";
	global.__objectNames[14] = "obj_enemybullet_L_A";
	global.__objectNames[15] = "obj_menu";
	global.__objectNames[16] = "obj_credits";
	global.__objectNames[17] = "obj_tutorial";
	global.__objectNames[18] = "obj_enemybullet_D_A";
	global.__objectNames[19] = "obj_enemybullet_B";
	global.__objectNames[20] = "obj_enemybullet_D_B";


	// create another array that has the correct entries
	var len = array_length_1d(global.__objectDepths);
	global.__objectID2Depth = [];
	for( var i=0; i<len; ++i ) {
		var objID = asset_get_index( global.__objectNames[i] );
		if (objID >= 0) {
			global.__objectID2Depth[ objID ] = global.__objectDepths[i];
		} // end if
	} // end for


}
